package com.goafanti.activity.service;

import java.util.List;

import com.goafanti.activity.bo.ActivityListBo;
import com.goafanti.common.model.Activity;
import com.goafanti.core.mybatis.page.Pagination;

public interface ActivityService {

	Pagination<ActivityListBo> listActivity(String sTime, String eTime, String name, String host, Integer type, Integer form,
			Integer pNo, Integer pSize);

	void save(Activity a, String startTimeFormattedDate, String endTimeFormattedDate,
			String enrollDeadlineFormattedDate);

	int update(Activity data, String startTimeFormattedDate, String endTimeFormattedDate,
			String enrollDeadlineFormattedDate, Long id);

	int batchDeleteByPrimaryKey(List<String> asList);

	Activity findActivityDetail(Long id);

	List<Activity> findPortalList(Integer pageNo, Integer pageSize, Integer form);

	void cleanActivityPortalList();

}
